For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get SupportGet a demo
  • Get Started
    • Welcome
    • Quickstart
  • Webhooks
    • Introduction
    • Creating a Webhook
    • Available Webhooks
  • Public API Reference (Beta)
    • Applicants/Candidates
    • Contacts/Managers
    • Clients/Departments
        • POSTCreate a submittal (submit an applicant to a requirement)
        • DELDelete a submittal
        • GETGet a submittal by GUID
        • GETList submittals. Either requirementGuid or applicantGuid must be supplied.
        • PUTUpdate a submittal
  • Internal API Reference
    • Applicants/Candidates
    • Clients/Departments
    • Contacts/Managers
LogoLogo
Get SupportGet a demo
Public API Reference (Beta)SubmittalsCore

Update a submittal

PUT
https://app.brightmove.com/ATS/api/v1/submittals/:guid
PUT
/ATS/api/v1/submittals/:guid
$curl -X PUT https://app.brightmove.com/ATS/api/v1/submittals/guid \
> -H "X-Brightmove-Company-ApiKey: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{}
Was this page helpful?
Previous

Create a submittal activity

Next
Built with

Authentication

X-Brightmove-Company-ApiKeystring
BrightMove Company Api Key
X-Brightmove-User-ApiKeystring
BrightMove User Api Key

Path parameters

guidstringRequired

Request

This endpoint expects an object.
submitDatestringOptional

ISO-8601 date/time of the submittal.

rankintegerOptional

Applicant rank for this submittal (1 = highest).

Response

Submittal updated